<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
  <section class="section">
    <div class="section-header">
      <h1>Perbaikan Sapras</h1>
    </div>
    <div class="section-body">
      <div class="row">
        <div class="col-md-12 col-xs-12">
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-md-3">
                  <a th:href="@{/approval/pengadaanAset/list}" class="btn btn-secondary btn-block">Pengadaan Barang (<span th:text="${jumlahApprovalPengadaan[0]}"></span>)</a>
                </div>
                <div class="col-md-3">
                  <a th:href="@{/approval/peminjamanSapras/ruangan}" class="btn btn-secondary btn-block">Peminjaman Ruangan (<span th:text="${jumlahApprovalRuangan}"></span>)</a>
                </div>
                <div class="col-md-3">
                  <a th:href="@{/approval/peminjamanSapras/kendaraan}" class="btn btn-secondary btn-block">Peminjaman Kendaraan (<span th:text="${jumlahApprovalKendaraan}"></span>)</a>
                </div>
                <div class="col-md-3">
                  <a th:href="@{/approval/perbaikanSapras/list}" class="btn btn-primary btn-block">Perbaikan Sapras</a>
                </div>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                    <strong>Save</strong> data successful...
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-striped">
                  <thead>
                  <tr>
                    <th>#</th>
                    <th>Nama Peralatan</th>
                    <th>Jenis Kerusakan</th>
                    <th>Lokasi</th>
                    <th>Tanggal Pengajuan</th>
                    <th>Bukti</th>
                    <th>Status</th>
                    <th></th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr th:each="data, row:${list}">
                    <td th:text="${(row.index + 1)}"></td>
                    <td th:text="${data.aset.namaAset}"></td>
                    <td th:text="${data.keterangan}"></td>
                    <td th:text="${data.ruangan.idGedung.namaGedung + ' (Ruangan : ' + data.ruangan.namaRuangan + ')'}"></td>
                    <td th:text="${data.tanggalPengajuan}"></td>
                    <td><a th:href="@{/perbaikan/{perbaikanSapras}/(perbaikanSapras = ${data.id})}" target="_blank" class="btn btn-dark btn-sm">Lihat Bukti</a></td>
                    <td>
                      <span class="btn btn-warning btn-sm" th:if="${data.statusApproved == 'WAITING'}" th:text="${data.statusApproved}"></span>
                      <span class="btn btn-success btn-sm" th:if="${data.statusApproved == 'APPROVED'}" th:text="${data.statusApproved}"></span>
                    </td>
                    <td>
                      <form action="">
                        <button type="submit" class="btn btn-primary btn-sm">Approved</button>
                      </form>
                    </td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
</body>
</html>